Subject: bug#22807: 2016-01-31; TeX-view does not jump to correct place in PDF file, texlive 2015

From: Uwe Brauer <[email-masked]>
Date: Fri, 01 Apr 2016 13:38:04 +0000

>>> "Mosè" == Mosè Giordano <[email-masked]> writes:

    > 2016-04-01 14:01 GMT+02:00 Uwe Brauer <[email-masked]>:
    >> 
    >> > 2016-04-01 12:56 GMT+02:00 Uwe Brauer <[email-masked]>:
    >> 
    >> > Yes, it's weird, it works for me flawless with Okular as viewer and
    >> > TeX Live 2015 installed with the same method.  In a LaTeX buffer, what
    >> > does
    >> 
    >> >     (TeX-synctex-output-page-1 (buffer-file-name))
    >> 
    >> You are not going to belive this. With TL 2015 this variable is *not*
    >> nil but some number (string)

    > Looking better to the code, I'm not surprised at all: AUCTeX doesn't
    > pass the page number to Okular, so that function isn't even evaluated
    > (it is used for Evince and xpdf, not for Okular).  In the LaTeX

I thought the setting

 '(TeX-view-program-list (quote (("okular" "okular -unique %o#src:%n%b"))))

Does that

    > buffer, issue C-c C-c View RET, what's the command proposed in the
    > minibuffer?
For example

okular --unique eulerpoisson.pdf#src:2449"/home/oub/eulerpoisson.tex"
 or 
okular --unique eulerpoisson.pdf#src:29"/home/oub/eulerpoisson.tex"

    > Is it different between when you use TeX Live 2009 or
    > 2015?

No, but I think I found the source of the problem.

In the command line I fired up
okular --unique eulerpoisson.pdf#src:2449"/home/oub/eulerpoisson.tex"

Okular opened the pdf file at the first page.

I copied the pdf to eulerpoisson-2015.pdf

I changed the envrionment back to TL logout login

And
okular --unique eulerpoisson-2015.pdf#src:2449"/home/oub/eulerpoisson.tex"

And okular opened at page one.

I recompiled the latex file, with pdflatex TL2009, now 
okular --unique eulerpoisson.pdf#src:2449"/home/oub/eulerpoisson.tex"

 opened correctly the pdf file 

So it seems that okular (at least the version I have) cannot deal
correctly with the pdf generated by TL2015.

So it is not really auctex fault, but I love to hear a work around, I
think I did use evince because there inverse search does not work.

Uwe